Bug 1129426 - [abrt] vidalia: __pthread_mutex_lock(): vidalia killed by SIGSEGV
Summary: [abrt] vidalia: __pthread_mutex_lock(): vidalia killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vidalia
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f0b7c1c06e4f3c070a8855b8828...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 18:04 UTC by lovyagin
Modified: 2015-06-29 22:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:02:30 UTC


Attachments (Terms of Use)
File: backtrace (59.65 KB, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: core_backtrace (18.92 KB, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: dso_list (15.24 KB, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: environ (2.02 KB, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: maps (76.03 KB, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: open_fds (819 bytes, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: var_log_messages (203 bytes, text/plain)
2014-08-12 18:04 UTC, lovyagin
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-08-12 18:04 UTC, lovyagin
no flags Details

Description lovyagin 2014-08-12 18:04:02 UTC
Version-Release number of selected component:
vidalia-0.2.20-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/vidalia
crash_function: __pthread_mutex_lock
executable:     /usr/bin/vidalia
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:66
 #1 QWaitCondition::wakeAll at thread/qwaitcondition_unix.cpp:139
 #2 ControlConnection::ReceiveWaiter::setResult at /usr/src/debug/vidalia-0.2.20/src/torcontrol/ControlConnection.cpp:410
 #3 ControlConnection::onReadyRead at /usr/src/debug/vidalia-0.2.20/src/torcontrol/ControlConnection.cpp:310
 #4 ControlConnection::qt_static_metacall at /usr/src/debug/vidalia-0.2.20/x86_64-redhat-linux-gnu/src/torcontrol/moc_ControlConnection.cxx:65
 #5 QMetaObject::activate at kernel/qobject.cpp:3567
 #6 readyRead at /usr/src/debug/vidalia-0.2.20/x86_64-redhat-linux-gnu/src/torcontrol/moc_ControlSocket.cxx:103
 #7 ControlSocket::qt_static_metacall at /usr/src/debug/vidalia-0.2.20/x86_64-redhat-linux-gnu/src/torcontrol/moc_ControlSocket.cxx:52
 #8 QMetaObject::activate at kernel/qobject.cpp:3567
 #9 QIODevice::readyRead at .moc/release-shared/moc_qiodevice.cpp:104

Comment 1 lovyagin 2014-08-12 18:04:06 UTC
Created attachment 926178 [details]
File: backtrace

Comment 2 lovyagin 2014-08-12 18:04:07 UTC
Created attachment 926179 [details]
File: cgroup

Comment 3 lovyagin 2014-08-12 18:04:09 UTC
Created attachment 926180 [details]
File: core_backtrace

Comment 4 lovyagin 2014-08-12 18:04:11 UTC
Created attachment 926181 [details]
File: dso_list

Comment 5 lovyagin 2014-08-12 18:04:12 UTC
Created attachment 926182 [details]
File: environ

Comment 6 lovyagin 2014-08-12 18:04:13 UTC
Created attachment 926183 [details]
File: limits

Comment 7 lovyagin 2014-08-12 18:04:15 UTC
Created attachment 926184 [details]
File: maps

Comment 8 lovyagin 2014-08-12 18:04:17 UTC
Created attachment 926185 [details]
File: open_fds

Comment 9 lovyagin 2014-08-12 18:04:19 UTC
Created attachment 926186 [details]
File: proc_pid_status

Comment 10 lovyagin 2014-08-12 18:04:20 UTC
Created attachment 926187 [details]
File: var_log_messages

Comment 11 lovyagin 2014-08-12 18:04:22 UTC
Created attachment 926188 [details]
File: exploitable

Comment 12 Fedora End Of Life 2015-05-29 12:37:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:02:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.